Subject: bug#23912: 25.0.95; Abort in gc when working with streams

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Sep 2016 17:40:44 +0300

> From: Richard Stallman <[email-masked]>
> Date: Tue, 13 Sep 2016 08:25:14 -0400
> Cc: [email-masked]
> 
>     > Richard, do you perhaps remember, or can try to second-guess, why do
>     > we set the abort_on_gc flag inside prin1-to-string?  I mean this
>     > fragment of print.c:
> 
> I responded a few weeks ago, with what I thought I remembered, but I
> seem to have been mistaken.  Alas, I don't know any more now.

I think I've succeeded in understanding this mystery: it's a left-over
from an old GCPRO, which was replaced with an assertion to make sure
GC never happens while this code runs.  And since nowadays GCPRO is a
no-op, we can remove this flag.